## mesa 26.0.0~devel

=== debian/changelog ===
mesa (26.0.0~devel-10) experimental; urgency=medium

  * New upstream snapshot.

 -- Krzysztof Sobiecki <sobkas@sobkas.io>  Mon, 15 Dec 2025 16:01:28 +0100

mesa (26.0.0~devel-7) experimental; urgency=medium

  * New upstream snapshot.

 -- Krzysztof Sobiecki <sobkas@sobkas.io>  Wed, 16 Apr 2025 17:21:27 +0200

mesa (25.1.0~devel-17) experimental; urgency=medium

  * New upstream snapshot.

 -- Krzysztof Sobiecki <sobkas@sobkas.io>  Tue, 15 Apr 2025 23:16:59 +0200

mesa (25.1.0~devel-16) experimental; urgency=medium

  * New upstream snapshot.

 -- Krzysztof Sobiecki <sobkas@sobkas.io>  Sat, 15 Mar 2025 16:00:45 +0100

mesa (25.1.0~devel-5) experimental; urgency=medium

  * New upstream snapshot.

 -- Krzysztof Sobiecki <sobkas@sobkas.io>  Thu, 13 Mar 2025 18:29:34 +0100

mesa (25.1.0~devel-4) experimental; urgency=medium

  * New upstream snapshot.

 -- Krzysztof Sobiecki <sobkas@sobkas.io>  Tue, 11 Mar 2025 21:07:36 +0100

mesa (25.1.0~devel-3) experimental; urgency=medium

  * New upstream snapshot.

 -- Krzysztof Sobiecki <sobkas@sobkas.io>  Mon, 10 Mar 2025 20:00:52 +0100

mesa (25.1.0~devel-2) experimental; urgency=medium

  * New upstream snapshot.

 -- Krzysztof Sobiecki <sobkas@sobkas.io>  Fri, 07 Mar 2025 16:40:17 +0100

mesa (25.1.0~devel-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Krzysztof Sobiecki <sobkas@sobkas.io>  Sat, 02 Feb 2025 14:24:00 +0100

mesa (25.0.0~dev-2) experimental; urgency=medium

  * New upstream snapshot.

 -- Krzysztof Sobiecki <sobkas@sobkas.io>  Sun, 08 Dec 2024 15:28:34 +0100

mesa (25.0.0~dev-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Krzysztof Sobiecki <sobkas@sobkas.io>  Thu, 21 Nov 2024 21:10:10 +0100
