## mesa 26.0.0~git20251025

=== debian/changelog ===
mesa (26.0.0~git20251025-1) experimental; urgency=medium

  * snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 25 Oct 2025 22:32:41 +0200
