=== debian/changelog ===
mesa (26.0.0~git20251031-1) experimental; urgency=medium

  * Snapshot.

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 31 Oct 2025 16:38:06 +0100
