=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: mesa
 Section: graphics
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
-Uploaders: Andreas Boll <aboll@debian.org>
+Maintainer: Ernst Sjöstrand <ernstp@gmail.com>
 Standards-Version: 4.1.4
 Build-Depends:
  debhelper-compat (= 13),
- directx-headers-dev (>= 1.614.0) [linux-amd64 linux-arm64],
+ directx-headers-dev (>= 1.613.0) [linux-amd64 linux-arm64],
  flatbuffers-compiler [linux-arm64],
- glslang-tools [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32 hurd-amd64 hurd-i386],
+ glslang-tools [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  meson (>= 1.4.0),
  quilt (>= 0.63-8.2~),
  pkgconf,
- libdrm-dev (>= 2.4.121) [!hurd-any],
+ libdrm-dev (>= 2.4.121),
  libx11-dev,
  libxxf86vm-dev,
  libexpat1-dev,
@@ -21,7 +20,7 @@
  libxfixes-dev,
  libxext-dev,
  libva-dev (>= 1.6.0) [linux-any] <!pkg.mesa.nolibva>,
- libvulkan-dev [linux-any],
+ libvulkan-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  x11proto-dev,
  linux-libc-dev (>= 2.6.31) [linux-any],
  libx11-xcb-dev,
@@ -45,91 +44,31 @@
  python3-setuptools,
  flex,
  bison,
- libelf-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32 hurd-amd64 hurd-i386],
+ libelf-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  libwayland-dev (>= 1.15.0) [linux-any],
  libwayland-egl-backend-dev (>= 1.15.0) [linux-any],
- llvm-21-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32 hurd-amd64 hurd-i386],
- libclang-21-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32 hurd-amd64 hurd-i386],
- libclang-cpp21-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32 hurd-amd64 hurd-i386],
- libclc-21-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32 hurd-amd64 hurd-i386],
- libclc-21 [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32 hurd-amd64 hurd-i386],
- wayland-protocols (>= 1.34) [!hurd-any],
+ llvm-19-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ libclang-19-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ libclang-cpp19-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ libclc-19-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ libclc-19 [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ wayland-protocols (>= 1.34),
  zlib1g-dev,
  libglvnd-core-dev (>= 1.3.2),
  valgrind [amd64 arm64 armhf i386 mips64el powerpc ppc64 ppc64el s390x],
- rustc (>= 1.73) [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
- rustfmt [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
- bindgen (>= 0.66.1~) [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
- cbindgen [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
- llvm-spirv-21 [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
- libllvmspirvlib-21-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32 hurd-amd64 hurd-i386],
- librust-paste-dev [amd64 arm64 armhf i386 ppc64 riscv64 x32],
- librust-syn-dev (>= 2.0.48) [amd64 arm64 armhf i386 ppc64 riscv64 x32],
- spirv-tools-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32 hurd-amd64 hurd-i386],
+ rustc [amd64],
+ rustfmt [amd64],
+ bindgen (>= 0.66.1~) [amd64],
+ cbindgen [amd64],
+ llvm-spirv-19 [amd64],
+ libllvmspirvlib-19-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ librust-paste-dev [amd64],
+ librust-syn-dev (>= 2.0.48) [amd64],
+ librust-rustc-hash-2-dev [amd64],
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/xorg-team/lib/mesa.git
 Vcs-Browser: https://salsa.debian.org/xorg-team/lib/mesa
 Homepage: https://mesa3d.org/
-
-Package: libxatracker2
-Section: libs
-Architecture: amd64 i386 x32
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
-Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
-Description: X acceleration library -- runtime
- This package contains the XA (X acceleration) library.  It is used exclusively
- by the X server to do render, copy and video acceleration.
- .
- XA is intended to be used by the vmware driver for virtualized X acceleration.
-
-Package: libxatracker-dev
-Section: libdevel
-Architecture: amd64 i386 x32
-Depends:
- libxatracker2 (= ${binary:Version}),
- ${misc:Depends},
-Multi-Arch: same
-Description: X acceleration library -- development files
- This package contains the XA (X acceleration) library.  It is used exclusively
- by the X server to do render, copy and video acceleration.
- .
- XA is intended to be used by the vmware driver for virtualized X acceleration.
- .
- This package provides the development environment for compiling programs
- against the xatracker library.
-
-Package: libd3dadapter9-mesa
-Section: libs
-Architecture: amd64 arm64 armel armhf i386
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
- libudev1 [linux-any],
-Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
-Description: state-tracker for Direct3D9
- This package contains a Gallium3D state tracker that implements the Direct3D9
- API.  Combined with the gallium-nine branch of Wine, programs using D3D9 can
- achieve native (or better) graphics performance.
-
-Package: libd3dadapter9-mesa-dev
-Section: libdevel
-Architecture: amd64 arm64 armel armhf i386
-Depends:
- libd3dadapter9-mesa (= ${binary:Version}),
- libudev1 [linux-any],
- ${misc:Depends},
-Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
-Description: state-tracker for Direct3D9 -- development files
- This package contains a Gallium3D state tracker that implements the Direct3D9
- API.  Combined with the gallium-nine branch of Wine, programs using D3D9 can
- achieve native (or better) graphics performance.
- .
- Development files
 
 Package: libgbm1
 Section: libs
@@ -207,19 +146,6 @@
 Multi-Arch: same
 Description: transitional dummy package
  This is a transitional dummy package, it can be safely removed.
-
-Package: libglapi-mesa
-Section: libs
-Architecture: any
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
-Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
-Description: free implementation of the GL API -- shared library
- The Mesa GL API module is responsible for dispatching all the gl*
- functions. It is intended to be mainly used by both the libgles1-mesa
- and libgles2-mesa packages.
 
 Package: libglx-mesa0
 Section: libs
@@ -255,7 +181,8 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
- libvulkan1 [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32 hurd-amd64 hurd-i386],
+ libgbm1 (= ${binary:Version}) [!hurd-any],
+ libvulkan1 [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  ${shlibs:Depends},
  ${misc:Depends}
 Multi-Arch: same
@@ -300,11 +227,12 @@
 
 Package: mesa-libgallium
 Section: libs
-Architecture: any
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
-Pre-Depends: ${misc:Pre-Depends}
+Architecture: linux-any
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+Pre-Depends: ${misc:Pre-Depends}
+Provides: libglapi-mesa
 Multi-Arch: same
 Description: shared infrastructure for Mesa drivers
  This package contains libgallium, a private library shared between
@@ -341,3 +269,53 @@
 Pre-Depends: ${misc:Pre-Depends}
 Description: Mesa VA-API video acceleration drivers
  These libraries provide the Video Acceleration API (VA-API) for Unix.
+ They provide accelerated video playback (incl. H.264) and video
+ post-processing for the supported graphics cards.
+ .
+ This package enables support for VA-API for some gallium drivers.
+
+Package: mesa-vulkan-drivers
+Section: libs
+Architecture: amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ libvulkan1,
+ python3:any,
+ ${shlibs:Depends},
+ ${misc:Depends}
+Provides: vulkan-icd
+Multi-Arch: same
+Description: Mesa Vulkan graphics drivers
+ Vulkan is a low-overhead 3D graphics and compute API. This package
+ includes Vulkan drivers provided by the Mesa project.
+
+Package: mesa-opencl-icd
+Section: libs
+Architecture: amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ libclc-19,
+ ocl-icd-libopencl1 | libopencl1,
+ ${shlibs:Depends},
+ ${misc:Depends},
+Provides: opencl-icd
+Multi-Arch: same
+Description: free implementation of the OpenCL API -- ICD runtime
+ This package contains the mesa implementation of the OpenCL (Open Compute
+ Language) library, which is intended for use with an ICD loader. OpenCL
+ provides a standardized interface for computational analysis on graphical
+ processing units.
+
+Package: mesa-drm-shim
+Section: libs
+Architecture: amd64 arm64 armel armhf i386 mips64el powerpc ppc64 ppc64el s390x sparc64
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+Multi-Arch: same
+Description: DRM shim libraries
+ This package provides drm-shim libraries which can be used for testing DRM
+ drivers when none exists on the host.
+
+# vim: tw=0
