=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,11 @@
 DEB_HOST_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 
 # for finding the correct llvm-config when meson doesn't know about it yet
-LLVM_VERSION = 21
+LLVM_VERSION = 19
 export PATH:=/usr/lib/llvm-$(LLVM_VERSION)/bin/:$(PATH)
+
+#RUST_VERSION = 1.88
+#export RUSTC=rustc-$(RUST_VERSION)
 
 export DEB_BUILD_MAINT_OPTIONS=optimize=-lto
 
@@ -36,6 +39,12 @@
   # Workaround for https://gcc.gnu.org/bugzilla/show_bug.cgi?id=83143
   DEB_CFLAGS_MAINT_APPEND += -freorder-blocks-algorithm=simple
   DEB_CXXFLAGS_MAINT_APPEND += -freorder-blocks-algorithm=simple
+else ifneq (,$(filter $(DEB_HOST_ARCH), ppc64el))
+  # Workaround for https://bugs.debian.org/1092890
+  DEB_CFLAGS_MAINT_APPEND += -O1
+  DEB_CXXFLAGS_MAINT_APPEND += -O1
+  export CC := gcc-12
+  export CXX := g++-12
 endif
 buildflags = $(shell \
 	DEB_CFLAGS_MAINT_APPEND='$(DEB_CFLAGS_MAINT_APPEND)' \
@@ -45,33 +54,27 @@
 EGL_PLATFORMS = x11
 GALLIUM_DRIVERS = softpipe
 VULKAN_DRIVERS =
-VULKAN_LAYERS =
-TOOLS = "drm-shim"
-GLVND = enabled
+VULKAN_LAYERS = anti-lag
 
 confflags_SSE2 = -Dsse2=true
 confflags_TEFLON = -Dteflon=false
 
-LLVM_ARCHS     = amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32 hurd-amd64 hurd-i386
-RUSTICL_ARCHS  = amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32
-NVK_ARCHS      = amd64 arm64 armhf i386 ppc64 riscv64 x32
+LLVM_ARCHS     = amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
+RUSTICL_ARCHS  = amd64
+NVK_ARCHS      = amd64
 VALGRIND_ARCHS = amd64 arm64 armhf i386 mips64el powerpc ppc64 ppc64el s390x
-WINE_ARCHS     = amd64 arm64 armel armhf i386
 
 # hurd doesn't do direct rendering
 ifeq ($(DEB_HOST_ARCH_OS), hurd)
-  confflags_DIRECT_RENDERING = -Dglx-direct=true
+  confflags_DIRECT_RENDERING = -Dglx-direct=false
   confflags_GBM = -Dgbm=disabled
-  GALLIUM_DRIVERS += llvmpipe
-  confflags_GALLIUM += -Degl-native-platform=x11
-  TOOLS = ""
 else
   # Non-Linux ports lack epoll, so wayland isn't ready yet:
   # https://gitlab.freedesktop.org/wayland/wayland/-/issues/72
   # hurd also lacks *_CLOEXEC
   EGL_PLATFORMS += wayland
 
-  GALLIUM_DRIVERS += r300 r600 virgl
+  GALLIUM_DRIVERS += nouveau r300 r600 virgl
   confflags_DIRECT_RENDERING = -Dglx-direct=true
   confflags_GBM = -Dgbm=enabled
   confflags_GALLIUM += -Dgallium-extra-hud=true
@@ -85,7 +88,7 @@
   # etnaviv, tegra, vc4 and v3d kernel support are only available on armhf and arm64
   ifneq (,$(filter $(DEB_HOST_ARCH), armhf arm64))
 	GALLIUM_DRIVERS += etnaviv panfrost svga tegra vc4 v3d
-	VULKAN_DRIVERS += broadcom freedreno
+	VULKAN_DRIVERS += broadcom freedreno panfrost
   endif
 
   ifneq (,$(filter $(DEB_HOST_ARCH), armhf arm64 loong64 riscv64))
@@ -94,7 +97,7 @@
 
   # Build intel drivers on archs where libdrm-intel is installed
   ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386 x32))
-	GALLIUM_DRIVERS += crocus i915 iris
+	GALLIUM_DRIVERS += crocus i915 iris svga
 	VULKAN_DRIVERS += intel intel_hasvk
   endif
 
@@ -103,9 +106,9 @@
   endif
 
   # WSL supports only amd64 and arm64
-  #ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64))
+  # ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64))
   #	GALLIUM_DRIVERS += d3d12
-  #endif
+  # endif
 
   # LLVM is required for building r300g, radeonsi and llvmpipe drivers.
   # It's also required for building OpenCL support.
@@ -126,6 +129,11 @@
 	ifneq (,$(filter $(DEB_HOST_ARCH), $(RUSTICL_ARCHS)))
 		confflags_GALLIUM += -Dgallium-rusticl=true
 	endif
+
+	ifneq (,$(filter $(DEB_HOST_ARCH), $(NVK_ARCHS)))
+		export MESON_PACKAGE_CACHE_DIR=/usr/share/cargo/registry/
+		VULKAN_DRIVERS += nouveau
+	endif
   else
 	confflags_GALLIUM += -Dllvm=disabled
   endif
@@ -142,7 +150,7 @@
 endif
 
 ifeq ($(DEB_HOST_ARCH), i386)
-	confflags_SSE2 = -Dsse2=true
+	confflags_SSE2 = -Dsse2=false
 endif
 
 empty:=
@@ -165,10 +173,10 @@
 	-Dplatforms="[$(EGL_PLATFORMS_LIST)]" \
 	-Dvulkan-drivers="[$(VULKAN_DRIVERS_LIST)]" \
 	-Dvulkan-layers="[$(VULKAN_LAYERS_LIST)]" \
-	-Dglvnd=$(GLVND) \
+	-Dglvnd=enabled \
 	-Db_ndebug=true \
 	-Dbuild-tests=false \
-	-Dtools=$(TOOLS) \
+	-Dtools=drm-shim \
 	$(confflags_DIRECT_RENDERING) \
 	$(confflags_GBM) \
 	$(confflags_GALLIUM) \
@@ -177,8 +185,14 @@
 	$(confflags_VALGRIND) \
 	$(confflags_TEFLON)
 
+
+rewrite_wrap_files:
+	cp -r subprojects subprojects-save
+	./debian/get-wraps-from-cargo-registry.py --cargo-registry /usr/share/cargo/registry/
+	touch subprojects/rewrite
+
 override_dh_clean: regen_control
-	dpkg-parsechangelog | awk '/^Version:/ {print $$2}' | sed 's/-.*//;s/~/-/' > VERSION
+#	dpkg-parsechangelog | awk '/^Version:/ {print $$2}' | sed 's/-.*//;s/~/-/' > VERSION
 	rm -rf .pc
 	rm -rf build
 	rm -rf configure bin/config.guess bin/config.sub config.h.in
@@ -189,9 +203,13 @@
 	for file in debian/*.links.in; do rm -f $${file%%.in}; done
 	find -name '*.pyc' -delete
 	find -name '__pycache__' -delete
+	if [ -f subprojects/rewrite ]; then \
+		rm -rf subprojects; \
+		mv subprojects-save subprojects; \
+	fi
 	dh_clean
 
-override_dh_auto_configure:
+override_dh_auto_configure: rewrite_wrap_files
 	dpkg-parsechangelog | awk '/^Version:/ {print $$2}' > VERSION
 	$(buildflags) dh_auto_configure -- \
 		$(confflags)
@@ -223,16 +241,4 @@
 	# use -f to ensure we notice disappearing files:
 	rm debian/tmp/usr/lib/*/libEGL_mesa.so
 	rm debian/tmp/usr/lib/*/libGLX_mesa.so
-  ifneq (,$(filter $(DEB_HOST_ARCH), $(NVK_ARCHS)))
-	rm -f debian/tmp/usr/bin/mme_fermi_sim_hw_test
-	rm -f debian/tmp/usr/bin/mme_tu104_sim_hw_test
-  endif
 	# use -f here though
-	rm -f debian/tmp/usr/lib/*/libgrl.a
-
-	# Copy the hardlinked *_dri.so correctly.
-	install -m755 -d debian/libgl1-mesa-dri/usr/lib/${DEB_HOST_MULTIARCH}/dri/
-	mv debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/dri/*_dri.so \
-	   debian/libgl1-mesa-dri/usr/lib/${DEB_HOST_MULTIARCH}/dri/
-
-    ifneq ($(DEB_HOST_ARCH_OS), hurd)
