## mesa 26.0.0~git20251109

=== debian/changelog ===
mesa (26.0.0~git20251109-2) experimental; urgency=medium

  * fix debian/control

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 09 Nov 2025 21:29:27 +0100

mesa (26.0.0~git20251109-1) experimental; urgency=medium

  * Snapshot.

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 09 Nov 2025 17:49:39 +0100
