## mesa 26.0.0~git20251201

=== debian/changelog ===
mesa (26.0.0~git20251201-1) experimental; urgency=medium

  * snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 01 Dec 2025 10:42:15 +0100

mesa (26.0.0~git20251129-1) experimental; urgency=medium

  * snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 29 Nov 2025 15:11:13 +0100

mesa (26.0.0~git20251125-1) experimental; urgency=medium

  * snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 28 Nov 2025 21:56:33 +0100
