## mesa 26.0.0~git20251206

=== debian/changelog ===
mesa (26.0.0~git20251206-1) experimental; urgency=medium

  * snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 06 Dec 2025 18:41:50 +0100
