## mesa 26.0.0~git20251221

=== debian/changelog ===
mesa (26.0.0~git20251221-1) experimental; urgency=medium

  * snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 21 Dec 2025 19:54:37 +0100
