## mesa 26.0.0~git20251230

=== debian/changelog ===
mesa (26.0.0~git20251230-1) experimental; urgency=medium

  * snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Tue, 30 Dec 2025 12:45:05 +0100
