=== debian/control ===
--- 
+++ 
@@ -5,67 +5,65 @@
 Standards-Version: 4.1.4
 Build-Depends:
  debhelper-compat (= 13),
- directx-headers-dev (>= 1.613.0) [linux-amd64 linux-arm64],
+ bindgen (>= 0.71~) [amd64],
+ bison,
+ cbindgen [amd64],
+ directx-headers-dev (>= 1.618.2) [linux-amd64 linux-arm64],
  flatbuffers-compiler [linux-arm64],
+ flex,
  glslang-tools [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
- meson (>= 1.4.0),
- quilt (>= 0.63-8.2~),
- pkgconf,
- libdrm-dev (>= 2.4.121),
- libx11-dev,
- libxxf86vm-dev,
+ libclang-19-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ libclang-cpp19-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ libclc-19 [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ libclc-19-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ libdrm-dev (>= 2.4.125-1),
+ libelf-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  libexpat1-dev,
  libflatbuffers-dev [linux-arm64],
+ libglvnd-core-dev (>= 1.3.2),
+ libllvmspirvlib-19-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ libpng-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ librust-paste-dev [amd64],
+ librust-rustc-hash-2-dev [amd64],
+ librust-syn-dev (>= 2.0.48) [amd64],
  libsensors-dev [!hurd-any],
- libxfixes-dev,
- libxext-dev,
  libva-dev (>= 1.6.0) [linux-any] <!pkg.mesa.nolibva>,
  libvulkan-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
- x11proto-dev,
- linux-libc-dev (>= 2.6.31) [linux-any],
+ libwayland-dev (>= 1.15.0) [linux-any],
+ libwayland-egl-backend-dev (>= 1.15.0) [linux-any],
+ libx11-dev,
  libx11-xcb-dev,
  libxcb-dri2-0-dev (>= 1.8),
+ libxcb-dri3-dev,
  libxcb-glx0-dev (>= 1.8.1),
- libxcb-xfixes0-dev,
- libxcb-dri3-dev,
  libxcb-present-dev,
  libxcb-randr0-dev,
  libxcb-shm0-dev,
  libxcb-sync-dev,
+ libxext-dev,
  libxrandr-dev,
  libxshmfence-dev (>= 1.1),
  libxtensor-dev [linux-arm64],
+ libxxf86vm-dev,
  libzstd-dev,
+ linux-libc-dev (>= 2.6.31) [linux-any],
+ llvm-19-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ llvm-spirv-19 [amd64],
+ meson (>= 1.7.0),
+ pkgconf,
  python3,
  python3-mako,
- python3-ply,
- python3-yaml,
  python3-pycparser [arm64 armhf],
  python3-setuptools,
- flex,
- bison,
- libelf-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
- libwayland-dev (>= 1.15.0) [linux-any],
- libwayland-egl-backend-dev (>= 1.15.0) [linux-any],
- llvm-19-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
- libclang-19-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
- libclang-cpp19-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
- libclc-19-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
- libclc-19 [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
- wayland-protocols (>= 1.34),
- zlib1g-dev,
- libglvnd-core-dev (>= 1.3.2),
+ python3-yaml,
+ quilt,
+ rustc (>= 1.78) [amd64],
+ rustfmt [amd64],
+ spirv-tools-dev (>= 2024.4~rc1) [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  valgrind [amd64 arm64 armhf i386 mips64el powerpc ppc64 ppc64el s390x],
- rustc [amd64],
- rustfmt [amd64],
- bindgen (>= 0.66.1~) [amd64],
- cbindgen [amd64],
- llvm-spirv-19 [amd64],
- libllvmspirvlib-19-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
- spirv-tools-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
- librust-paste-dev [amd64],
- librust-syn-dev (>= 2.0.48) [amd64],
- librust-rustc-hash-2-dev [amd64],
+ wayland-protocols (>= 1.41),
+ x11proto-dev,
+ zlib1g-dev
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/xorg-team/lib/mesa.git
 Vcs-Browser: https://salsa.debian.org/xorg-team/lib/mesa
